/* --COPYRIGHT--,EPL
 *  Copyright (c) 2008 Texas Instruments and others.
 *  All rights reserved. This program and the accompanying materials
 *  are made available under the terms of the Eclipse Public License v1.0
 *  which accompanies this distribution, and is available at
 *  http://www.eclipse.org/legal/epl-v10.html
 * 
 *  Contributors:
 *      Texas Instruments - initial implementation
 * 
 * --/COPYRIGHT--*/

/*!
 *  ======== MSP430 ========
 *  TI MSP430 little endian target
 */

metaonly module MSP430 inherits IMSP430 {
    override readonly config string name             = "MSP430"; 
    override readonly config string suffix           = "430";
    override readonly config string isa              = "430";    
    override readonly config xdc.bld.ITarget.Model model = {
        endian: "little"
    };
};
